import imp
from rest_framework import serializers
from .models import *

class UserSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Users
        fields = ('uid','email','password','role','created_date','active',
        'profile_img','bio', 'first_name', 'last_name')

class ProjectSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Projects
        fields = ('pid','pname','created_date','powner','git_id','jira_id','confluence_id', 'description', 'content')

class AccessSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Access
        fields = ('aid','pname','pid','uid','alevel')

class JiraSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Tickets
        fields = ('tid','name','content','status','pid')
'''
class checkAuthSerializer(serializers.Serializer):
    uid = serializers.CharField(max_length=50)
    status = serializers.BooleanField(default=False)

class authenticate(serializers.Serializer):
    email = serializers.CharField(max_length=50)
    password = serializers.CharField(max_length=50)
'''